<?php if( ! defined('ABSPATH') && ! defined('WPINC')) { header('Location: /'); }
/*
Plugin Name: DM Stars
Plugin URI: http://DMblog.com/2011/01/05/rating-stars-wordpress-plugin/
Description: Easily add rating stars to your WordPress posts.
Version: 1.0
Author: Daniel Menjivar
Author URI: http://DMred.com/
*/

// [stars rating type] = Create Stars & optionally, a custom rating type (Otherwise, uses "Overall Rating")
function dm_stars_func($atts)
{
	extract(shortcode_atts(array(
		'rating'	=> 2.5,
		'type'		=> 'Overall'
	),$atts));

	// let's generate our rating as a fraction
	$fraction  = floor($rating);										// first just the whole number part
	$fraction .= (($fraction - $rating) != 0) ? '&frac12;' : NULL;		// now append the "1/2" fraction if necessary

	// initialize some variables
	$stars		= $rating*10;
	$i			= 1;
	$images		= NULL;
	$path		= (is_feed()) ? plugins_url('',__FILE__) : str_ireplace(home_url(),'',plugins_url('',__FILE__));

	// loop through 5 times and create the images for our stars (concatenating them onto $images)
	while ($i <=5)
	{
		$value	 = ($stars > 10) ? 10 : $stars;
		$star	 = sprintf("%02d",$value);
		$images .= '<img src="'.$path.'/images/star'.$star.'.png" alt="star" border="0" width="32" height="32" style="float: none; margin: 0; padding: 0; border: none;" />';
		$stars	 = $stars - $value;
		$i++;
	}

	return '<div class="dm-stars2" style="float: none; margin: 1em auto; width: 160px;">'.
				$images.'<p style="background: #eee; margin: 0; padding: 0 0.5em; line-height: 1.5em; border-bottom: 1px solid #ccc; border-top: 1px solid #ccc; font-size: 0.75em; color: #444; text-align: center;">'.
				$type.' Rating: '.$fraction.' stars</p></div>';
}

// add our quicktags to the admin section
function dm_stars_quicktags()
{
	wp_enqueue_script('dm_stars_quicktags',plugins_url('',__FILE__).'/js/quicktags.js',array('quicktags'),false,true);
}

// add our quicktags to admin pages only
add_action('admin_print_scripts','dm_stars_quicktags');

// register the shortcode with Wordpress
add_shortcode('stars','dm_stars_func');

// make sure the above short code is output on the RSS feeds too (and comments)
add_filter('the_excerpt_rss', 'do_shortcode');
add_filter('the_content_rss', 'do_shortcode');
add_filter('comment_text', 'do_shortcode',31); //since autop is run at level 30, we run this after auto p
?>